package com.dsk.cscec.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dsk.cscec.domain.CbQuantitySummary;
import com.dsk.cscec.domain.CbQuantitySummaryActual;
import com.dsk.cscec.domain.bo.CbProjectBaseBo;
import com.dsk.cscec.domain.bo.CbQuantitySummaryListBo;
import com.dsk.cscec.domain.vo.CbQuantitySummaryListVo;

import java.util.List;
import java.util.Map;

/**
 * 成本-工料汇总基本表(CbQuantitySummary)表服务接口
 *
 * @author lcl
 * @since 2024-02-05 11:06:56
 */
public interface ICbQuantitySummaryService extends IService<CbQuantitySummary> {

    List<Map<String, Object>> subjectTree(CbProjectBaseBo bo);

    List<String> monthList(CbQuantitySummaryListBo bo);

    List<CbQuantitySummaryListVo> subjectList(CbQuantitySummaryListBo bo);

    void updateActual(List<CbQuantitySummaryActual> list);

    void pushData(CbQuantitySummaryActual bo);

}

